curl --request POST \
--url https://app.herondata.io/api/data_source_accounts/{dsa_heron_id_to_update}/update_number \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"source_dsa_heron_id": "dsa_8w6V5CuRESc7G5yx3mXF54"
}
'import requests
url = "https://app.herondata.io/api/data_source_accounts/{dsa_heron_id_to_update}/update_number"
payload = { "source_dsa_heron_id": "dsa_8w6V5CuRESc7G5yx3mXF54" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({source_dsa_heron_id: 'dsa_8w6V5CuRESc7G5yx3mXF54'})
};
fetch('https://app.herondata.io/api/data_source_accounts/{dsa_heron_id_to_update}/update_number', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"is_enabled": true,
"account_id": "202348",
"anomaly_reasons": [
"Statement metadata changed",
"Manual review flagged suspicious edits"
],
"anomaly_score": 200,
"balances": [
{
"closing_amount": 25000.45,
"currency": "USD",
"date": "2022-01-01"
}
],
"currency": "USD",
"display_account_id": "7505",
"end_date": "2022-01-31",
"heron_id": "dso_dHqRoFPLAEd6WgbFtdewn6",
"institution_name": "Chase",
"max_date": "2022-01-31",
"min_date": "2022-01-01",
"name": "Checking Account",
"num_transactions": 120,
"number": "123456789",
"owner_name": "John Doe",
"reference_id": "account-202348",
"start_date": "2022-01-01",
"transactions_match_balances": true,
"type": "Checking"
}Update a data source account's account number
Update a data source account’s account number
Authorizations
Path Parameters
Body
The Heron ID of the data source account containing the number we want to update to
"dsa_8w6V5CuRESc7G5yx3mXF54"
Response
Ok
Whether or not the account is enabled. If disabled, hides related transactions from analytics
true
PDF statement account identifier. Null for non-PDF sources.
"202348"
Reasons associated with anomaly_score for pdf bank statement account sources
[
"Statement metadata changed",
"Manual review flagged suspicious edits"
]
For pdf bank statement account sources, where the value is between 0 and 1000, with 1000 being the most anomalous
200
List of balances associated with the account
Show child attributes
Show child attributes
[
{
"closing_amount": 25000.45,
"currency": "USD",
"date": "2022-01-01"
}
]
Currency of the account
"USD"
Human-readable account label for display: the last four digits of the account number (falling back to the account title). Not unique and not a key; join heron_id to data_source_account_heron_id on transactions.
"7505"
End date of the account
"2022-01-31"
Unique ID for data source generated by Heron
"dso_dHqRoFPLAEd6WgbFtdewn6"
Name of the institution
"Chase"
Latest date of transactions associated with the data source account
"2022-01-31"
Earliest date of transactions associated with the data source account
"2022-01-01"
Name of the account
"Checking Account"
Number of transactions associated with the data source account
120
Number of the account
"123456789"
Name of the account owner
"John Doe"
This is the account ID provided as part of the transaction
"account-202348"
Start date of the account
"2022-01-01"
For pdf bank statements, represents whether all transactions extracted match the balances extracted
true
Type of the account
"Checking"
Was this page helpful?